Skip to content

Technical Requirements

Requirements for UPK Training

Although the site is widely compatible, viewing the UPK training requires the following:

Browser

  • Internet Explorer: versions 8 and 9 are supported, 10 is marginal and 11 is NOT supported.
  • Mozilla Firefox: only version 10 is supported.
  • Apple Safari: only version 5 is supported and you should use Firefox or Safari.

Operating system

  • Microsoft Windows XP or Windows 7
  • Apple Macintosh OS X (10.2 or later) (Mac users should use Firefox)

Allow popups

  • Popup blockers must be disabled.

Important notes about requirements

  • Established May 1, 2014 and subject to change.
  • These requirements are NOT valid for live ctcLink/PeopleSoft environments.

 

Troubleshooting

If you experience technical problems, please check the following:

  • Be sure you met the above technical requirements.
  • Ensure that no internal or external popup blockers are in use.
  • Add https://training.ctclink.sbctc.edu site to the TRUSTED internet zone.

How to add the site to the trusted internet zone

IE 9 or 10 users

  1. Open Internet Explorer
  2. Select Tools> Internet Options from the menu
  3. Click the Security tab
  4. Click Trusted sites (green arrow at top)
  5. Click the Sites button
  6. Copy the following into the top window:  https://training.ctclink.sbctc.edu
  7. Click the Add button
  8. Close all of the IE windows
  9. Close all instances of Internet Explorer and try again

Start IE with No Add-ons (Windows 7)

  1. Copy these instructions to Notepad
  2. Close all IE windows
  3. Click your Start button
  4. Navigate to All Programs > Accessories > System Tools > Internet Explorer (No Add-ons)
  5. Copy the following into the URL window: https://training.ctclink.sbctc.edu

 

Need More Help?

If you are still having problems, contact your local IT HelpDesk for assistance.

Page Manager: kabels@sbctc.edu
Last Modified: 11/13/17 3:26 PM

starburst graphic